org.apache.mina.proxy.handlers.http

## Enum HttpAuthenticationMethods

- java.lang.Object
- - java.lang.Enum<HttpAuthenticationMethods>
  - - org.apache.mina.proxy.handlers.http.HttpAuthenticationMethods

- All Implemented Interfaces:
    Serializable, Comparable<HttpAuthenticationMethods>

      public enum HttpAuthenticationMethods
      extends Enum<HttpAuthenticationMethods>

  HttpAuthenticationMethods.java - Enumerates all known http authentication methods.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `DIGEST`
    `NO_AUTH`
    `NTLM`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Returns the authentication mechanism id.
    `static AbstractAuthLogicHandler` | `getNewHandler(int method, ProxyIoSession proxyIoSession)` Creates an `AbstractAuthLogicHandler` to handle the authentication mechanism.
    `AbstractAuthLogicHandler` | `getNewHandler(ProxyIoSession proxyIoSession)` Creates an `AbstractAuthLogicHandler` to handle the authentication mechanism.
    `static HttpAuthenticationMethods` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HttpAuthenticationMethods[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_AUTH

          public static final HttpAuthenticationMethods NO_AUTH

    - #### BASIC

          public static final HttpAuthenticationMethods BASIC

    - #### NTLM

          public static final HttpAuthenticationMethods NTLM

    - #### DIGEST

          public static final HttpAuthenticationMethods DIGEST

  - ### Method Detail

    - #### values

          public static HttpAuthenticationMethods[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpAuthenticationMethods c : HttpAuthenticationMethods.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpAuthenticationMethods valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public int getId()

      Returns the authentication mechanism id.
      Returns:
        the id

    - #### getNewHandler

          public AbstractAuthLogicHandler getNewHandler(ProxyIoSession proxyIoSession)
                                                 throws ProxyAuthException

      Creates an `AbstractAuthLogicHandler` to handle the authentication mechanism.
      Parameters:
        `proxyIoSession` - the proxy session object
      Returns:
        a new logic handler
      Throws:
        `ProxyAuthException`

    - #### getNewHandler

          public static AbstractAuthLogicHandler getNewHandler(int method,
                                               ProxyIoSession proxyIoSession)
                                                        throws ProxyAuthException

      Creates an `AbstractAuthLogicHandler` to handle the authentication mechanism.
      Parameters:
        `method` - the authentication mechanism to use
        `proxyIoSession` - the proxy session object
      Returns:
        a new logic handler
      Throws:
        `ProxyAuthException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.